/*
 * JBoss, Home of Professional Open Source
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2009,
 * @author JBoss Inc.
 */
package org.jboss.jbossts.qa.junit.testgroup;

import org.jboss.jbossts.qa.junit.*;
import org.junit.*;

// Automatically generated by XML2JUnit
public class TestGroup_rawresources01_3 extends TestGroupBase
{
	public String getTestGroupName()
	{
		return "rawresources01_3";
	}

	protected Task server0 = null;

	@Before public void setUp()
	{
		super.setUp();
		server0 = createTask("server0", com.arjuna.ats.arjuna.recovery.RecoveryManager.class, Task.TaskType.EXPECT_READY, 480);
		server0.start("-test");
	}

	@After public void tearDown()
	{
		try {
			server0.terminate();
		Task task0 = createTask("task0", org.jboss.jbossts.qa.Utils.RemoveServerIORStore.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		task0.perform("$(1)", "$(2)", "$(3)");
		} finally {
			super.tearDown();
		}
	}

	@Test public void RawResources01_3_Test001()
	{
		setTestName("Test001");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client001.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test002()
	{
		setTestName("Test002");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client002.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test003()
	{
		setTestName("Test003");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client003.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test004()
	{
		setTestName("Test004");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client004.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test005()
	{
		setTestName("Test005");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client005.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test006()
	{
		setTestName("Test006");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client006.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test007()
	{
		setTestName("Test007");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client007.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test008()
	{
		setTestName("Test008");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client008.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test009()
	{
		setTestName("Test009");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client009.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test010()
	{
		setTestName("Test010");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client010.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test011()
	{
		setTestName("Test011");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client011.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test012()
	{
		setTestName("Test012");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client012.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test013()
	{
		setTestName("Test013");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client013.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test014()
	{
		setTestName("Test014");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client014.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test015()
	{
		setTestName("Test015");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client015.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test016()
	{
		setTestName("Test016");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client016.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test017()
	{
		setTestName("Test017");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client017.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test018()
	{
		setTestName("Test018");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client018.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test019()
	{
		setTestName("Test019");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client019.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test020()
	{
		setTestName("Test020");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client020.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test021()
	{
		setTestName("Test021");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client021.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test022()
	{
		setTestName("Test022");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client022.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test023()
	{
		setTestName("Test023");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client023.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test024()
	{
		setTestName("Test024");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client024.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test025()
	{
		setTestName("Test025");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client025.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test026()
	{
		setTestName("Test026");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client026.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test027()
	{
		setTestName("Test027");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client027.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test028()
	{
		setTestName("Test028");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client001.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test029()
	{
		setTestName("Test029");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client002.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test030()
	{
		setTestName("Test030");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client003.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test031()
	{
		setTestName("Test031");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client004.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test032()
	{
		setTestName("Test032");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client005.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test033()
	{
		setTestName("Test033");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client006.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test034()
	{
		setTestName("Test034");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client007.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test035()
	{
		setTestName("Test035");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client008.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test036()
	{
		setTestName("Test036");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client009.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test037()
	{
		setTestName("Test037");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client010.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test038()
	{
		setTestName("Test038");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client011.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test039()
	{
		setTestName("Test039");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client012.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test040()
	{
		setTestName("Test040");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client013.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test041()
	{
		setTestName("Test041");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client014.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test042()
	{
		setTestName("Test042");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client015.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test043()
	{
		setTestName("Test043");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client016.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test044()
	{
		setTestName("Test044");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client017.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test045()
	{
		setTestName("Test045");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client018.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test046()
	{
		setTestName("Test046");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client019.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test047()
	{
		setTestName("Test047");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client020.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test048()
	{
		setTestName("Test048");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client021.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test049()
	{
		setTestName("Test049");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client022.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test050()
	{
		setTestName("Test050");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client023.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test051()
	{
		setTestName("Test051");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client024.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test052()
	{
		setTestName("Test052");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client025.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test053()
	{
		setTestName("Test053");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client026.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test054()
	{
		setTestName("Test054");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client027.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test055()
	{
		setTestName("Test055");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client001.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test056()
	{
		setTestName("Test056");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client002.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test057()
	{
		setTestName("Test057");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client003.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test058()
	{
		setTestName("Test058");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client004.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test059()
	{
		setTestName("Test059");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client005.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test060()
	{
		setTestName("Test060");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client006.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test061()
	{
		setTestName("Test061");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client007.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test062()
	{
		setTestName("Test062");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client008.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test063()
	{
		setTestName("Test063");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client009.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test064()
	{
		setTestName("Test064");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client010.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test065()
	{
		setTestName("Test065");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client011.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test066()
	{
		setTestName("Test066");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client012.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test067()
	{
		setTestName("Test067");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client013.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test068()
	{
		setTestName("Test068");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client014.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test069()
	{
		setTestName("Test069");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client015.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test070()
	{
		setTestName("Test070");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client016.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test071()
	{
		setTestName("Test071");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client017.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test072()
	{
		setTestName("Test072");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client018.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test073()
	{
		setTestName("Test073");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client019.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test074()
	{
		setTestName("Test074");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client020.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test075()
	{
		setTestName("Test075");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client021.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test076()
	{
		setTestName("Test076");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client022.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test077()
	{
		setTestName("Test077");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client023.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test078()
	{
		setTestName("Test078");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client024.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test079()
	{
		setTestName("Test079");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client025.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test080()
	{
		setTestName("Test080");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client026.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test081()
	{
		setTestName("Test081");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client027.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test082()
	{
		setTestName("Test082");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client001.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test083()
	{
		setTestName("Test083");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client002.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test084()
	{
		setTestName("Test084");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client003.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test085()
	{
		setTestName("Test085");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client004.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test086()
	{
		setTestName("Test086");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client005.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test087()
	{
		setTestName("Test087");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client006.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test088()
	{
		setTestName("Test088");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client007.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test089()
	{
		setTestName("Test089");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client008.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test090()
	{
		setTestName("Test090");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client009.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test091()
	{
		setTestName("Test091");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client010.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test092()
	{
		setTestName("Test092");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client011.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test093()
	{
		setTestName("Test093");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client012.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test094()
	{
		setTestName("Test094");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client013.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test095()
	{
		setTestName("Test095");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client014.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test096()
	{
		setTestName("Test096");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client015.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test097()
	{
		setTestName("Test097");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client016.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test098()
	{
		setTestName("Test098");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client017.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test099()
	{
		setTestName("Test099");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client018.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test100()
	{
		setTestName("Test100");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client019.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test101()
	{
		setTestName("Test101");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client020.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test102()
	{
		setTestName("Test102");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client021.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test103()
	{
		setTestName("Test103");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client022.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test104()
	{
		setTestName("Test104");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client023.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test105()
	{
		setTestName("Test105");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client024.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test106()
	{
		setTestName("Test106");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client025.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test107()
	{
		setTestName("Test107");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client026.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test108()
	{
		setTestName("Test108");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client027.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test109()
	{
		setTestName("Test109");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client001.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test110()
	{
		setTestName("Test110");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client002.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test111()
	{
		setTestName("Test111");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client003.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test112()
	{
		setTestName("Test112");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client004.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test113()
	{
		setTestName("Test113");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client005.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test114()
	{
		setTestName("Test114");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client006.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test115()
	{
		setTestName("Test115");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client007.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test116()
	{
		setTestName("Test116");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client008.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test117()
	{
		setTestName("Test117");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client009.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test118()
	{
		setTestName("Test118");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client010.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test119()
	{
		setTestName("Test119");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client011.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test120()
	{
		setTestName("Test120");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client012.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test121()
	{
		setTestName("Test121");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client013.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test122()
	{
		setTestName("Test122");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client014.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test123()
	{
		setTestName("Test123");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client015.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test124()
	{
		setTestName("Test124");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client016.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test125()
	{
		setTestName("Test125");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client017.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test126()
	{
		setTestName("Test126");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client018.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test127()
	{
		setTestName("Test127");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client019.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test128()
	{
		setTestName("Test128");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client020.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test129()
	{
		setTestName("Test129");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client021.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test130()
	{
		setTestName("Test130");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client022.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test131()
	{
		setTestName("Test131");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client023.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test132()
	{
		setTestName("Test132");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client024.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test133()
	{
		setTestName("Test133");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client025.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test134()
	{
		setTestName("Test134");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client026.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test135()
	{
		setTestName("Test135");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client027.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test136()
	{
		setTestName("Test136");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client028.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test137()
	{
		setTestName("Test137");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client029.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test138()
	{
		setTestName("Test138");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task server3 = createTask("server3", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server3.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client030.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server3.terminate();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test139()
	{
		setTestName("Test139");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client028.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test140()
	{
		setTestName("Test140");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client029.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test141()
	{
		setTestName("Test141");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client030.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test142()
	{
		setTestName("Test142");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client028.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test143()
	{
		setTestName("Test143");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client029.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test144()
	{
		setTestName("Test144");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client030.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test145()
	{
		setTestName("Test145");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client028.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test146()
	{
		setTestName("Test146");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client029.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test147()
	{
		setTestName("Test147");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server02.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(3)");
		Task server2 = createTask("server2", org.jboss.jbossts.qa.RawResources01Servers.Server01.class, Task.TaskType.EXPECT_READY, 480);
		server2.start("$(2)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client030.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server2.terminate();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test148()
	{
		setTestName("Test148");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client028.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test149()
	{
		setTestName("Test149");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client029.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

	@Test public void RawResources01_3_Test150()
	{
		setTestName("Test150");
		Task server1 = createTask("server1", org.jboss.jbossts.qa.RawResources01Servers.Server03.class, Task.TaskType.EXPECT_READY, 480);
		server1.start("$(1)", "$(2)", "$(3)");
		Task client0 = createTask("client0", org.jboss.jbossts.qa.RawResources01Clients3.Client030.class, Task.TaskType.EXPECT_PASS_FAIL, 480);
		client0.start("$(1)", "$(2)", "$(3)");
		client0.waitFor();
		server1.terminate();
	}

}